import { executeQuery } from "../Connection/QueriesExecutor.js"

const getAutoRechargeDetails = async function ({ CDCONSUMIDOR, consDetails }) {
    const { CDFILIAL, CDCLIENTE } = consDetails
    const result = await executeQuery({
        sql: 'GET_AUTO_RECHARGE_DETAILS',
        binds: {
            CDCLIENTE,
            CDCONSUMIDOR,
            CDFILIAL
        },
        rawReturn: true
    })
    return result
}

const getAutoRechargeInfo = async function ({ CDCONSUMIDOR, CDFAMILISALD, consDetails }) {
    const { CDCLIENTE } = consDetails
    const result = await executeQuery({
        sql: 'GET_AUTO_RECHARGE_INFO',
        binds: {
            CDCLIENTE,
            CDCONSUMIDOR,
            CDFAMILISALD
        },
        rawReturn: true
    })

    return result
}

const insertAutoRecharge = async function ({ CDCONSUMIDOR, minValue, rechargeValue, CDFAMILISALD, consDetails }) {
    const { CDCLIENTE } = consDetails
    const result = await executeQuery({
        sql: 'INSERT_AUTO_RECHARGE',
        binds: {
            CDCLIENTE,
            CDCONSUMIDOR,
            CDFAMILISALD,
            VRMINSALDORRECAR: minValue,
            VRRECARGARAUT: rechargeValue
        },
        rawReturn: true
    })

    return result
}

const updateAutoRecharge = async function ({ CDCONSUMIDOR, minValue, rechargeValue, CDFAMILISALD, consDetails }) {
    const { CDCLIENTE } = consDetails
    const result = await executeQuery({
        sql: 'UPDATE_AUTO_RECHARGE',
        binds: {
            CDCLIENTE,
            CDCONSUMIDOR,
            CDFAMILISALD,
            VRMINSALDORRECAR: minValue,
            VRRECARGARAUT: rechargeValue
        },
        rawReturn: true
    })

    return result
}

const getAutoRechargeConsumers = async () => {
    const result = await executeQuery({ sql: 'GET_AUTO_RECHARGE_CONSUMERS', binds: {}, rawReturn: true })
    return result
}

const getConsumerCPF = async (CDCLIENTE, CDCONSUMIDOR) => {
    const result = await executeQuery({
        sql: 'GET_CONSUMER_CPF',
        binds: {
            CDCLIENTE,
            CDCONSUMIDOR
        }
    })

    return result
}

const getConsumerName = async (CDCLIENTE, CDCONSUMIDOR) => {
    const result = await executeQuery({
        sql: 'GET_CONSUMER_NAME',
        binds: {
            CDCLIENTE,
            CDCONSUMIDOR
        }
    })

    return result
}

const getCardInfo = async (NRCPFRESPCON) => {
    const result = await executeQuery({
        sql: 'GET_CARD_INFO',
        binds: {
            NRCPFRESPCON
        },
        rawReturn: true
    })

    return result
}

export default {
    getAutoRechargeDetails,
    getAutoRechargeInfo,
    insertAutoRecharge,
    updateAutoRecharge,
    getAutoRechargeConsumers,
    getConsumerCPF,
    getCardInfo,
    getConsumerName
}