import { executeQuery } from '../Connection/QueriesExecutor.js'

const getNewCode = async function (body) {
    const binds = { ...body }
    const result = await executeQuery({
        rawReturn: true,
        binds,
        newCode: true
    })
    return result
}

const saveTempRecharge = async function ({ rechargeValues, CDCLIENTE, CDFILIAL, CDTIPOCONS, NRTRANSACAO, tipoRece, nsu, nit, CDCONSUMIDOR }) {
    const result = await executeQuery({
        sql: 'SAVE_TEMP_RECHARGE',
        binds: { 
            CDCLIENTE,
            CDFILIAL,
            CDTIPOCONS,
            NRTRANSACAO,
            TIPORECE: tipoRece,
            NSU: nsu,
            NIT: nit,
            RECHARGE_VALUES: JSON.stringify(rechargeValues),
            CDCONSUMIDOR
        },
        rawReturn: true
    })

    return result
}

const getTempRecharge = async function (NRTRANSACAO, autoCommit = true, connectionKey) {
    const result = await executeQuery({
        sql: 'GET_TEMP_RECHARGE',
        binds: { NRTRANSACAO },
        rawReturn: false,
        autoCommit: autoCommit,
        connectionKey
    })

    return result
}

export default { getNewCode, saveTempRecharge, getTempRecharge }